const childrenRouters = [
  /* 首页 */
  {
    path: '/',
    name: 'Dashboard',
    component: () => import('../views/dashboard/dashboard.vue'),
    meta: {
      title: '首页',
      permission: 'dashboard',
      parentName: '首页',
    },
  },
  {
    path: '/dashboard',
    name: 'Dashboard',
    component: () => import('../views/dashboard/dashboard.vue'),
    meta: {
      title: '首页',
      permission: 'dashboard',
      parentName: '首页',
    },
  },
  /*
    生物安全
   */

  /* 人员管理 */
  {
    path: '/personAdmin',
    name: 'PersonAdmin',
    component: () => import('../views/BioSafety/PersonAdmin.vue'),
    meta: {
      title: '人员管理',
      permission: 'personAdmin',
      parentName: '生物安全',
    }
  },
  /* 车辆管理 */
  {
    path: '/carAdmin',
    name: 'CarAdmin',
    component: () => import('../views/BioSafety/CarAdmin.vue'),
    meta: {
      title: '车辆管理',
      permission: 'carAdmin',
      parentName: '生物安全',
    }
  },
  {
    path: '/stiflingAdmin',
    name: 'StiflingAdmin',
    component: () => import('../views/BioSafety/StiflingAdmin.vue'),
    meta: {
      title: '熏蒸监管',
      permission: 'stiflingAdmin',
      parentName: '生物安全'
    }
  },
  {
    path: '/deadPig',
    name: 'DeadPig',
    component: () => import('../views/BioSafety/DeadPig.vue'),
    meta: {
      title: '死猪管理',
      permission: 'deadPig',
      parentName: '生物安全'
    }
  },

  /*
  *
  * 环境监测
  *
  * */

  {
    path: '/pigHouseEnv',
    name: 'PigHouseEnv',
    component: () => import('../views/Env/PigHouseEnv.vue'),
    meta: {
      title: '猪舍环境',
      permission: 'pigHouseEnv',
      parentName: '环境监测'
    }
  },
  {
    path: '/drinkWater',
    name: 'DrinkWater',
    component: () => import('../views/Env/DrinkWater.vue'),
    meta: {
      title: '饮水监测',
      permission: 'drinkWater',
      parentName: '环境监测'
    }
  },
  {
    path: '/electro',
    name: 'Electro',
    component: () => import('../views/Env/Electro.vue'),
    meta: {
      title: '用电监测',
      permission: 'electro',
      parentName: '环境监测'
    }
  },

  /*
  *
  * 系统管理
  *
  * */
  {
    path: '/menuAdmin',
    name: 'MenuAdmin',
    component: () => import('../views/SystemAdmin/MenuAdmin.vue'),
    meta: {
      title: '菜单管理',
      permission: 'menuAdmin',
      parentName: '系统管理'
    }
  },
  {
    path: '/authAdmin',
    name: 'AuthAdmin',
    component: () => import('../views/SystemAdmin/AuthAdmin.vue'),
    meta: {
      title: '权限管理',
      permission: 'authAdmin',
      parentName: '系统管理'
    }
  },
  {
    path: '/userAdmin',
    name: 'UserAdmin',
    component: () => import('../views/SystemAdmin/UserAdmin.vue'),
    meta: {
      title: '用户管理',
      permission: 'userAdmin',
      parentName: '系统管理'
    }
  }
]

export default childrenRouters;
